Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortletConfig

All Known Implementing Classes:
  GenericPortlet

    public interface PortletConfig

The `PortletConfig` interface provides the portlet with its configuration. The configuration holds information about the portlet that is valid for all users. The configuration is retrieved from the portlet definition in the deployment descriptor. The portlet can only read the configuration data.

The configuration information contains the portlet name, the portlet initialization parameters, the portlet resource bundle and the portlet application context.

See Also
  `Portlet`

Method Summary
`String` | `getInitParameter(String name)` Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
`Enumeration` | `getInitParameterNames()` Returns the names of the portlet initialization parameters as an `Enumeration` of String objects, or an empty `Enumeration` if the portlet has no initialization parameters.
`PortletContext` | `getPortletContext()` Returns the `PortletContext` of the portlet application the portlet is in.
`String` | `getPortletName()` Returns the name of the portlet.
`ResourceBundle` | `getResourceBundle(Locale locale)` Gets the resource bundle for the given locale based on the resource bundle defined in the deployment descriptor with `resource-bundle` tag or the inlined resources defined in the deployment descriptor.

Method Detail

### getPortletName

    String getPortletName()

  Returns the name of the portlet.

  The name may be provided via server administration, assigned in the portlet application deployment descriptor with the `portlet-name` tag.

  Returns
    the portlet name

### getPortletContext

    PortletContext getPortletContext()

  Returns the `PortletContext` of the portlet application the portlet is in.

  Returns
    a `PortletContext` object, used by the caller to interact with its portlet container
  See Also
    `PortletContext`

### getResourceBundle

    ResourceBundle getResourceBundle(Locale locale)

  Gets the resource bundle for the given locale based on the resource bundle defined in the deployment descriptor with `resource-bundle` tag or the inlined resources defined in the deployment descriptor.

  Parameters
    `locale` - the locale for which to retrieve the resource bundle
  Returns
    the resource bundle for the given locale

### getInitParameter

    String getInitParameter(String name)

  Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.

  Parameters
    `name` - a `String` specifying the name of the initialization parameter
  Returns
    a `String` containing the value of the initialization parameter
  Throws
    `IllegalArgumentException` - if name is `null`.

### getInitParameterNames

    Enumeration getInitParameterNames()

  Returns the names of the portlet initialization parameters as an `Enumeration` of String objects, or an empty `Enumeration` if the portlet has no initialization parameters.

  Returns
    an `Enumeration` of `String` objects containing the names of the portlet initialization parameters, or an empty `Enumeration` if the portlet has no initialization parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved